# Shiny bindings for apexcharter

Source: `R/apexcharter.R`
`apexcharter-shiny.Rd`

Output and render functions for using apexcharter within Shiny applications and interactive Rmd documents.

    apexchartOutput(outputId, width = "100%", height = "400px")

    renderApexchart(expr, env = parent.frame(), quoted = FALSE)

## Arguments

outputId | output variable to read from
width, height | Must be a valid CSS unit (like `'100%'`, `'400px'`, `'auto'`) or a number, which will be coerced to a string and have `'px'` appended.
expr | An expression that generates a apexcharter
env | The environment in which to evaluate `expr`.
quoted | Is `expr` a quoted expression (with `quote()`)? This is useful if you want to save an expression in a variable.

## Value

An Apexchart output that can be included in the application UI.

## Examples

    if (interactive()) {
      library(shiny)
      library(apexcharter)

      ui <- fluidPage(
        fluidRow(
          column(
            width = 8, offset = 2,
            tags$h2("Apexchart in Shiny"),
            actionButton("redraw", "Redraw chart"),
            apexchartOutput("chart")
          )
        )
      )

      server <- function(input, output, session) {

        output$chart <- renderApexchart({
          input$redraw
          apexchart() %>%
            ax_chart(type = "bar") %>%
            ax_series(
              list(
                name = "Example",
                data = sample(1:100, 5)
              )
            ) %>%
            ax_xaxis(
              categories = LETTERS[1:5]
            )
        })

      }

      shinyApp(ui, server)
    }